Bug 1123149 - [abrt] easytag: Cddb_Album_List_Set_Row_Appearance(): easytag killed by SIGSEGV [NEEDINFO]
Summary: [abrt] easytag: Cddb_Album_List_Set_Row_Appearance(): easytag killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: easytag
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:16332964ded68d21a678f35f467...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 02:17 UTC by Gian Paolo Mureddu
Modified: 2014-08-15 08:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 08:15:38 UTC
amigadave: needinfo? (gmureddu)


Attachments (Terms of Use)
File: backtrace (40.50 KB, text/plain)
2014-07-25 02:17 UTC, Gian Paolo Mureddu
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-25 02:17 UTC, Gian Paolo Mureddu
no flags Details
File: core_backtrace (19.20 KB, text/plain)
2014-07-25 02:17 UTC, Gian Paolo Mureddu
no flags Details
File: dso_list (10.34 KB, text/plain)
2014-07-25 02:17 UTC, Gian Paolo Mureddu
no flags Details
File: environ (1.46 KB, text/plain)
2014-07-25 02:17 UTC, Gian Paolo Mureddu
no flags Details
File: exploitable (110 bytes, text/plain)
2014-07-25 02:17 UTC, Gian Paolo Mureddu
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-25 02:17 UTC, Gian Paolo Mureddu
no flags Details
File: maps (49.73 KB, text/plain)
2014-07-25 02:17 UTC, Gian Paolo Mureddu
no flags Details
File: open_fds (902 bytes, text/plain)
2014-07-25 02:17 UTC, Gian Paolo Mureddu
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-07-25 02:17 UTC, Gian Paolo Mureddu
no flags Details
File: var_log_messages (330 bytes, text/plain)
2014-07-25 02:17 UTC, Gian Paolo Mureddu
no flags Details

Description Gian Paolo Mureddu 2014-07-25 02:17:19 UTC
Description of problem:
Searching CDDB

Version-Release number of selected component:
easytag-2.2.3-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        easytag
crash_function: Cddb_Album_List_Set_Row_Appearance
executable:     /usr/bin/easytag
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Cddb_Album_List_Set_Row_Appearance at src/cddb.c:3784
 #1 Cddb_Get_Album_Tracks_List at src/cddb.c:3756
 #2 Cddb_Get_Album_Tracks_List_CB at src/cddb.c:3397
 #7 _gtk_tree_selection_internal_select_node at gtktreeselection.c:1596
 #8 gtk_tree_view_real_set_cursor at gtktreeview.c:13160
 #9 gtk_tree_view_row_deleted at gtktreeview.c:9167
 #14 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #15 gtk_list_store_remove at gtkliststore.c:1230
 #16 gtk_list_store_clear at gtkliststore.c:1444
 #17 Cddb_Search_Album_From_Selected_Files at src/cddb.c:3016

Comment 1 Gian Paolo Mureddu 2014-07-25 02:17:21 UTC
Created attachment 920765 [details]
File: backtrace

Comment 2 Gian Paolo Mureddu 2014-07-25 02:17:22 UTC
Created attachment 920766 [details]
File: cgroup

Comment 3 Gian Paolo Mureddu 2014-07-25 02:17:23 UTC
Created attachment 920767 [details]
File: core_backtrace

Comment 4 Gian Paolo Mureddu 2014-07-25 02:17:23 UTC
Created attachment 920768 [details]
File: dso_list

Comment 5 Gian Paolo Mureddu 2014-07-25 02:17:24 UTC
Created attachment 920769 [details]
File: environ

Comment 6 Gian Paolo Mureddu 2014-07-25 02:17:25 UTC
Created attachment 920770 [details]
File: exploitable

Comment 7 Gian Paolo Mureddu 2014-07-25 02:17:25 UTC
Created attachment 920771 [details]
File: limits

Comment 8 Gian Paolo Mureddu 2014-07-25 02:17:26 UTC
Created attachment 920772 [details]
File: maps

Comment 9 Gian Paolo Mureddu 2014-07-25 02:17:27 UTC
Created attachment 920773 [details]
File: open_fds

Comment 10 Gian Paolo Mureddu 2014-07-25 02:17:27 UTC
Created attachment 920774 [details]
File: proc_pid_status

Comment 11 Gian Paolo Mureddu 2014-07-25 02:17:28 UTC
Created attachment 920775 [details]
File: var_log_messages

Comment 12 David King 2014-07-25 08:15:00 UTC
This looks like a GtkListStore is being cleared while there is a row selected, and the "changed" signal on the selection is being emitted, which tries to access the deleted (selected) row. There have been a few similar bugs recently:

https://mail.gnome.org/archives/easytag-list/2014-June/msg00012.html
https://bugzilla.redhat.com/show_bug.cgi?id=1121142

It should not be too difficult to fix, but I might not get to it for a week or two, as I am at GUADEC for the next week. In the meantime, if you can provide exact steps to reproduce, that would be very useful. Otherwise, as I cannot reproduce the crash locally, I will provide a scratch build with a proposed fix when I have one.

Comment 13 David King 2014-07-30 16:10:54 UTC
I have a proposed fix which I have added to a scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7216162

Could you test that the works for you, or provide exact steps to reproduce (as I am still unable to reproduce the problem).

Comment 14 David King 2014-08-05 14:46:08 UTC
Were you able to test the scratch build yet? If the Rawhide build was a problem, you can use this F20 build that just finished:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7243911

It would be very useful to know if this solves the crashes.

Comment 15 David King 2014-08-15 08:15:38 UTC
I am unable to reproduce, and so I cannot test the proposed fix. Please reopen if you provide a reproducer, or can confirm that the proposed fix solves the problem for you.


Note You need to log in before you can comment on or make changes to this bug.